Threads post API
The post with its counts and media, and its top replies in `extra.replies`.
GET /v1/threads/post
GET /v1/threads/post
The post with its counts and media, and its top replies in extra.replies.
- Cost: 1 credit
- Cache: Results are kept up to 30 days; send
max_age_daysto reuse them for free. - Timeout: A request still running after about 25 seconds answers
202with a job to poll (Batch and jobs).
Parameters#
| Name | Type | Required | Description |
|---|---|---|---|
url | URL | yes | Post URL (threads.net/@user/post/...). Accepted hosts: threads.net, threads.com. |
Every request also accepts:
trim:truefor a smaller response withoutnullfields andextra.raw:trueto also get the platform's original object asraw.max_age_days: accept a cached result up to this many days old, for 0 credits (Caching).
Example request#
Set your key in the environment first (see Authentication).
1curl -G "https://api.socialscrape.dev/v1/threads/post" \2 -H "x-api-key: $SOCIALSCRAPE_API_KEY" \3 --data-urlencode "url=https://www.threads.com/@zuck/post/DeZtp-TkQHh"1import os2import requests34params = {5 "url": "https://www.threads.com/@zuck/post/DeZtp-TkQHh",6}7res = requests.get(8 "https://api.socialscrape.dev/v1/threads/post",9 headers={"x-api-key": os.environ["SOCIALSCRAPE_API_KEY"]},10 params=params,11)12body = res.json()1314if body["ok"]:15 print(body["data"])16else:17 print(body["error"]["code"], body["error"]["message"])1const url = new URL("https://api.socialscrape.dev/v1/threads/post");2url.search = new URLSearchParams({3 "url": "https://www.threads.com/@zuck/post/DeZtp-TkQHh"4}).toString();5const res = await fetch(url, {6 headers: { "x-api-key": process.env.SOCIALSCRAPE_API_KEY! },7});8const body = await res.json();910if (body.ok) {11 console.log(body.data);12} else {13 console.error(body.error.code, body.error.message);14}1{2 "nodes": [3 {4 "name": "SocialScrape Threads post",5 "type": "n8n-nodes-base.httpRequest",6 "typeVersion": 4.2,7 "position": [8 0,9 010 ],11 "parameters": {12 "method": "GET",13 "url": "https://api.socialscrape.dev/v1/threads/post",14 "sendQuery": true,15 "queryParameters": {16 "parameters": [17 {18 "name": "url",19 "value": "https://www.threads.com/@zuck/post/DeZtp-TkQHh"20 }21 ]22 },23 "sendHeaders": true,24 "headerParameters": {25 "parameters": [26 {27 "name": "x-api-key",28 "value": "={{ $env.SOCIALSCRAPE_API_KEY }}"29 }30 ]31 }32 }33 }34 ],35 "connections": {}36}Example response#
This is a sample from a recorded response, lists and long text are shortened, other people's names and handles are replaced. Status 200.
200 OKSample response
1{2 "ok": true,3 "credits_charged": 1,4 "credits_remaining": 4999,5 "cached": false,6 "cached_at": null,7 "request_id": "req_ef6ac6756ac9cd5359000140",8 "data": {9 "object": "post",10 "platform": "threads",11 "id": "4006434140014576097",12 "url": "https://www.threads.com/@zuck/post/DeZtp-TkQHh",13 "type": "image",14 "author": {15 "id": "63055343223",16 "handle": "zuck",17 "name": "Mark Zuckerberg",18 "url": "https://www.threads.com/@zuck",19 "avatar_url": "https://scontent-den2-1.cdninstagram.com/v/t51.82787-19/825322135_17989325280103224_1252773933700107438_n.jpg?stp=dst-jpg_s206x206_tt6&_nc_cat=107&ccb=7-5&_nc_sid=30ff31&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc...",20 "verified": true21 },22 "title": null,23 "text": "Introducing Muse Wonder, our new family of frontier models with state of the art performance for personal and professional agentic work.",24 "published_at": "2026-10-12T16:56:29Z",25 "duration_seconds": null,26 "language": "en",27 "hashtags": null,28 "mentions": null,29 "stats": {30 "views": null,31 "likes": 2143,32 "comments": 623,33 "shares": 232,34 "saves": null,35 "dislikes": null36 },37 "media": {38 "thumbnail_url": "https://scontent-den2-1.cdninstagram.com/v/t51.82787-15/844965867_17991705567103224_8296143909108287920_n.webp?_nc_cat=109&ig_cache_key=NDAwNjQzNDE0MDAxNDU3NjA5Nw%3D%3D.3-ccb7-5&ccb=7-5&_nc_sid=58cdad&efg=eyJ2ZW5jb2RlX3RhZyI6IkZFRUQueHBpZHM...",39 "video_url": null,40 "audio_url": null,41 "image_urls": [42 "https://scontent-den2-1.cdninstagram.com/v/t51.82787-15/844965867_17991705567103224_8296143909108287920_n.webp?_nc_cat=109&ig_cache_key=NDAwNjQzNDE0MDAxNDU3NjA5Nw%3D%3D.3-ccb7-5&ccb=7-5&_nc_sid=58cdad&efg=eyJ2ZW5jb2RlX3RhZyI6IkZFRUQueHBpZHM..."43 ],44 "width": 2160,45 "height": 326046 },47 "song": null,48 "location": null,49 "is_pinned": false,50 "is_sponsored": null,51 "extra": {52 "code": "DeZtp-TkQHh",53 "full_id": "4006434140014576097_63055343223",54 "quotes": 62,55 "replies": [56 {57 "author": {58 "id": "1000000001",59 "handle": "sample_user",60 "name": "Sample User",61 "url": null,62 "avatar_url": null,63 "verified": false64 },65 "extra": {66 "code": "DeZuAywDEWf"67 },68 "id": "4006435708155479455",69 "object": "comment",70 "parent_id": "4006434140014576097",71 "platform": "threads",72 "post_id": "4006434140014576097",73 "published_at": "2026-10-12T16:59:36Z",74 "stats": {75 "likes": 0,76 "replies": 077 },78 "text": "Impressive stuff.\nDoes it beat OpenAIs Dots though?",79 "url": "https://www.threads.com/@_randomdev001/post/DeZuAywDEWf"80 },81 {82 "author": {83 "id": "1000000001",84 "handle": "sample_user",85 "name": "Sample User",86 "url": null,87 "avatar_url": null,88 "verified": false89 },90 "extra": {91 "code": "DeZuC5mCQTx"92 },93 "id": "4006435852942640369",94 "object": "comment",95 "parent_id": "4006434140014576097",96 "platform": "threads",97 "post_id": "4006434140014576097",98 "published_at": "2026-10-12T16:59:53Z",99 "stats": {100 "likes": 6,101 "replies": 0102 },103 "text": "You're a fucking traitor!",104 "url": "https://www.threads.com/@ron.peter.1967/post/DeZuC5mCQTx"105 },106 {107 "author": {108 "id": "1000000001",109 "handle": "sample_user",110 "name": "Sample User",111 "url": null,112 "avatar_url": null,113 "verified": false114 },115 "extra": {116 "code": "DeZuIIaCGyE"117 },118 "id": "4006436212444785796",119 "object": "comment",120 "parent_id": "4006434140014576097",121 "platform": "threads",122 "post_id": "4006434140014576097",123 "published_at": "2026-10-12T17:00:36Z",124 "stats": {125 "likes": 27,126 "replies": 1127 },128 "text": "Can you make that stupid moose to remove all the ai and bots from ig and fb?",129 "url": "https://www.threads.com/@cristi.baluta/post/DeZuIIaCGyE"130 }131 ],132 "reply_control": "everyone",133 "reposts": 170,134 "shares_sent": 148135 }136 },137 "cursor": null,138 "has_more": null139}Response#
A Post object in data.
See Data models for every field. The envelope around data is described in Responses.
Errors#
Failures are free: credits_charged is 0. Branch on error.code, never on the message.
| Code | HTTP | Retry | Meaning |
|---|---|---|---|
invalid_params | 400 | no | A parameter is missing, unknown or has the wrong type. |
unsupported_url | 400 | no | The URL is not one this endpoint accepts (wrong platform or form). |
not_found | 404 | no | The platform says this profile, post or item does not exist. |
Every request can also fail with the account and platform errors listed on the Errors page.
Example error:
1{2 "ok": false,3 "error": {4 "code": "not_found",5 "message": "The platform says this profile, post or item does not exist.",6 "retryable": false7 },8 "credits_charged": 0,9 "request_id": "req_8fefa2b83c16306c23348358"10}Related endpoints#
- Threads profile (
GET /v1/threads/profile) - Threads profile posts (
GET /v1/threads/profile/posts) - Threads post search (
GET /v1/threads/search) - Threads user search (
GET /v1/threads/search/users)